<br>
<div class="container gradient-border" id="box">
    <!-- <div class="jumbotron"> -->
        <form #noteForm="ngForm">
            <div class="form-group">
                <label for="notesTitle">Title</label>
                <input class="form-control" type="text" name="notesTitle" id="notesTitle" required [(ngModel)]="noteTitle" #notesTitle="ngModel">
                <div *ngIf="notesTitle.invalid && noteForm.submitted">
                    <div *ngIf="notesTitle.errors.required" class="alert alert-danger">
                        Title is required.
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label for="notesTitle">Content</label>
                <textarea class="form-control" rows="4" name="notesContent" id="notesContent" [(ngModel)]="noteContent"></textarea>
            </div>
            <div class="form-group">
                <label for="notesTitle">Category</label>
                <input class="form-control" type="text" name="notesCategory" id="notesCategory" required [(ngModel)]="noteCategory" #notesCategory="ngModel">
                <div *ngIf="notesCategory.invalid && noteForm.submitted">
                    <div *ngIf="notesCategory.errors.required" class="alert alert-danger">
                        Category is required.
                    </div>
                </div>
            </div>
            <button type="submit" class="btn btn-outline-primary" (click)="addNote()">Add Note</button>
                <br>
            <button type="button" class="btn btn-outline-warning" (click)="noteForm.resetForm({}); submitted = false">Reset</button>
        </form>
    <!-- </div> -->
</div>
<br>
<br>